<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: formulaire
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="http://kportal.kosmos.fr/tags/utils" prefix="utils" %>
<%@page import="com.kosmos.controllers.SGController"%>
<%@page import="com.kportal.core.config.PropertyHelper" %>
<%@ page import="com.kosmos.formulaire.util.FormulaireUtil" %>
<jsp:useBean id="infoBean" class="com.jsbsoft.jtf.core.InfoBean" scope="request" />
<c:set var="ID_EXTENSION" value="<%=FormulaireUtil.ID_EXTENSION%>"/>
<c:set var="forms" value='<%=infoBean.getList("LISTE_FORMS")%>'/>

<c:set var="urlModifier" value='<%=PropertyHelper.getCoreProperty(SGController.URL_PROPERTY)+"?EXT=formulaire&amp;PROC=TRAITEMENT_FORMULAIRE&amp;ACTION=MODIFIER&amp;CODE="%>' />
<c:set var="urlDupliquer" value='<%=PropertyHelper.getCoreProperty(SGController.URL_PROPERTY)+"?EXT=formulaire&amp;PROC=TRAITEMENT_FORMULAIRE&amp;ACTION=DUPLIQUER&amp;CODE="%>'/>
<c:set var="urlSupprimer" value='<%=PropertyHelper.getCoreProperty(SGController.URL_PROPERTY)+"?EXT=formulaire&amp;PROC=TRAITEMENT_FORMULAIRE&amp;ACTION=SUPPRIMER&amp;CODE="%>'/>
<c:set var="urlVider" value='<%=PropertyHelper.getCoreProperty(SGController.URL_PROPERTY)+"?EXT=formulaire&amp;PROC=TRAITEMENT_FORMULAIRE&amp;ACTION=VIDER&amp;CODE="%>'/>
<c:set var="urlExtraire" value='<%=PropertyHelper.getCoreProperty(SGController.URL_PROPERTY)+"?EXT=formulaire&amp;PROC=TRAITEMENT_FORMULAIRE&amp;ACTION=EXTRAIRE&amp;CODE="%>'/>
<div id="content">
    <table class="datatable">
        <thead>
        <tr>
            <th>${utils:getMessage(ID_EXTENSION,"FORMULAIRE.LISTE.INTITULE")}</th>
            <th>${utils:getMessage(ID_EXTENSION,"BO_RUBRIQUE")}</th>
            <th>${utils:getMessage(ID_EXTENSION,"ST_CODE_RATTACHEMENT")}</th>
            <th>${utils:getMessage(ID_EXTENSION,"BO_DONNEES_PERSONNELLES")}</th>
            <th>${utils:getMessage(ID_EXTENSION,"BO_NOMBRE_ENREGISTREMENTS")}</th>
            <th class="sanstri sansfiltre">${utils:getCoreMessage("BO_ACTIONS")}</th>
        </tr>
        </thead>
        <tbody>
        <c:forEach items="${forms}" var="form">
            <tr>
                <td><a href="${urlModifier}<c:out value="${form.code}"/>" title="${utils:getCoreMessage("BO_MODIFIER")}"><c:out value="${form.titre}"/></a></td>
                <td><c:out value="${form.libelleRubrique}"/></td>
                <td><c:out value="${form.libelleRattachement}"/></td>
                <td><c:forEach items="${form.donneesPersonnelles}" var="item">
                    <c:out value="${item}"/><br>
                    </c:forEach>
                </td>
                <td><c:out value="${form.nombreEnregistrements}"/></td>
                <td class="colonne-actions text-nowrap">
                    <c:if test="${form.hasDroitGestionModele()}">
                        <a href="${urlModifier}<c:out value="${form.code}"/>" title="${utils:getMessage(ID_EXTENSION,"BO_MODIFIER")}">${utils:getMessage(ID_EXTENSION,"BO_MODIFIER")}</a> |
                        <a href="${urlDupliquer}<c:out value="${form.code}"/>" title="${utils:getMessage(ID_EXTENSION,"BO_DUPLIQUER")}">${utils:getMessage(ID_EXTENSION,"BO_DUPLIQUER")}</a> |
                        <a data-confirm="${utils:getMessage(ID_EXTENSION,"BO_CONFIRM_SUPPR_FORMULAIRE")}"
                           href="${urlSupprimer}<c:out value="${form.code}"/>" title="${utils:getMessage(ID_EXTENSION,"BO_SUPPRIMER")}">${utils:getMessage(ID_EXTENSION,"BO_SUPPRIMER")}</a>
                    </c:if>
                    <c:if test="${form.hasDroitGestionContenu()}">
                        <c:if test="${form.hasDroitGestionModele()}"> | </c:if>
                        <a data-confirm="${utils:getMessage(ID_EXTENSION,"BO_CONFIRM_PURGE_FORMULAIRE")}"
                           href="${urlVider}<c:out value="${form.code}"/>" title="${utils:getMessage(ID_EXTENSION,"BO_VIDER")}">${utils:getMessage(ID_EXTENSION,"BO_VIDER")}
                        </a> |
                        <a href="${urlExtraire}<c:out value="${form.code}"/>" title="${utils:getMessage(ID_EXTENSION,"BO_EXTRAIRE")}">${utils:getMessage(ID_EXTENSION,"BO_EXTRAIRE")}</a>
                    </c:if>
                </td>
            </tr>
        </c:forEach>
        </tbody>
    </table>
</div>
