<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: formulaire
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib uri="http://kportal.kosmos.fr/tags/utils" prefix="utils" %>
<%@page import="com.kosmos.controllers.SGController"%>
<%@page import="com.kportal.core.config.PropertyHelper" %>
<%@page import="com.kosmos.formulaire.util.FormulaireUtil" %>
<%@ page import="com.kportal.extension.module.composant.IComposant" %>
<%@ page import="com.jsbsoft.jtf.core.ProcessusHelper" %>
<%@ page errorPage="/adminsite/jsbexception.jsp" %>

<jsp:useBean id="infoBean" class="com.jsbsoft.jtf.core.InfoBean" scope="request" />
<jsp:useBean id="fmt" class="com.jsbsoft.jtf.core.FormateurJSP" scope="page" />
<jsp:useBean id="univFmt" class="com.univ.utils.UnivFmt" scope="page" />

<c:set var="ID_EXTENSION" value="<%=FormulaireUtil.ID_EXTENSION%>"/>
<c:set var="forms" value='<%=infoBean.getList("LISTE_FORMS")%>'/>
<c:set var="criteres" value='<%=infoBean.getList("LISTE_CRITERES")%>'/>
<c:set var="fields" value="${infoBean.getMap('LISTE_CHAMPS_IDENTITE')}"/>
<c:set var="SG_PATH"  value="<%=PropertyHelper.getCoreProperty(SGController.URL_PROPERTY)%>"/>
<c:set var="urlExtraireDonneesPersonnelles" value='<%=PropertyHelper.getCoreProperty(SGController.URL_PROPERTY)+"?EXT=formulaire&amp;PROC=TRAITEMENT_FORMULAIRE&amp;ACTION=EXTRAIRE_DONNEES_PERSONNELLES&amp;ID_INSTANCE="%>'/>
<c:set var="endUrlExtraireDonneesPersonnelles" value=""/>
<div id="content">
    <form action="${SG_PATH}" enctype="multipart/form-data" method="post">
        <div id="recherche_criteres">
            <input type="hidden" name="EXT" value="formulaire">
            <input type="hidden" name="PROC" value="TRAITEMENT_FORMULAIRE">
            <input type="hidden" name="ACTION" value="DONNEES_PERSONNELLES">
            <input type="hidden" name="ID_INSTANCE" value="">
            <h3>${utils:getMessage(ID_EXTENSION,"BO_CRITERES_RAPPEL")}</h3>
            <div>
                <ul>
                    <c:forEach items="${criteres}" var="critere"><li>
                        <strong>${fields[critere.nomChamp].libelle}</strong><c:out value="${critere.valeurAAfficher}"/>
                        <input type="hidden" name="${critere.nomChamp}" value="<c:out value="${critere.valeurAAfficher}"/>">
                        <c:set var="endUrlExtraireDonneesPersonnelles" value="${endUrlExtraireDonneesPersonnelles}&${critere.nomChamp}=${critere.valeurAAfficher}" />
                    </li></c:forEach>
                </ul>
                <p><button type="submit">${utils:getMessage(ID_EXTENSION,"BO_AFFINER_RECHERCHE")}</button></p>
            </div>
        </div><!-- #recherche_criteres -->

        <table class="datatable">
            <thead>
            <tr>
                <th>${utils:getMessage(ID_EXTENSION,"FORMULAIRE.LISTE.INTITULE")}</th>
                <th>${utils:getMessage(ID_EXTENSION,"BO_DATE_ENREGISTREMENT")}</th>
                <th>${utils:getMessage(ID_EXTENSION,"BO_DONNEES_PERSONNELLES")}</th>
                <th class="sanstri sansfiltre">${utils:getMessage(ID_EXTENSION,"BO_ACTIONS")}</th>
            </tr>
            </thead>
            <tbody>
                <c:forEach items="${forms}" var="form">
                    <tr>
                        <td><c:out value="${form.titre}"/></td>
                        <td><c:out value="${form.dateCreation}"/></td>
                        <td><c:forEach items="${form.donneesPersonnelles}" var="item">
                            <c:out value="${item}"/><br>
                            </c:forEach>
                        </td>
                        <td class="colonne-actions text-nowrap">
                            <c:if test="${form.hasDroitGestionContenu()}">
                                <button class="btn--as-link" data-confirm="${utils:getMessage(ID_EXTENSION,"BO_CONFIRM_PURGE_FORMULAIRE")}"
                                   data-action="VIDER_INSTANCE" data-value-target="ID_INSTANCE" data-value="<c:out value="${form.id}"/>"
                                   title="${utils:getMessage(ID_EXTENSION,"BO_VIDER")}">${utils:getMessage(ID_EXTENSION,"BO_VIDER")}
                                </button>
                            </c:if>
                            <c:if test="${form.hasDroitGestionContenu()}">
                                <a href="${urlExtraireDonneesPersonnelles}<c:out value="${form.id}${endUrlExtraireDonneesPersonnelles}"/>"
                                   title="${utils:getMessage(ID_EXTENSION,"BO_EXTRAIRE")}">${utils:getMessage(ID_EXTENSION,"BO_EXTRAIRE")}</a>
                            </c:if>
                        </td>
                </c:forEach>
            </tbody>
        </table>
    </form> 
</div>
