<%--

    Copyright (C) 2015 - 2018 Kosmos contact@kosmos.fr

    Projet: formulaire
    Version: 1.08.00

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

            http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

--%>
<%@ page import="java.io.ByteArrayInputStream" %>
<%@ page import="java.util.List" %>
<%@ page import="java.util.Properties" %>
<%@ page import="org.apache.commons.lang3.StringUtils" %>
<%@ page import="com.kosmos.formulaire.bean.FormulaireBean" %>
<%@ page import="com.kosmos.formulaire.service.impl.FormulaireService" %>
<%@ page import="com.kosmos.formulaire.util.FormulaireUtil" %>
<%@ page import="com.kosmos.service.impl.ServiceManager" %>
<%@ page import="com.kportal.core.config.MessageHelper" %>
<%@ page import="com.univ.utils.EscapeString" %>
<%@ page import="com.univ.utils.json.CodecJSon" %>
<jsp:useBean id="infoBean" class="com.jsbsoft.jtf.core.InfoBean" scope="request" />
<jsp:useBean id="viewDescriptor" class="com.kosmos.toolbox.model.TagViewDescriptor" scope="request" /><%
    final FormulaireService formService = ServiceManager.getServiceForBean(FormulaireBean.class);
    final List<FormulaireBean> forms = formService.getAllForms("TITRE");
%>
<p class="message alert alert-info"><%= FormulaireUtil.getMessage("KTAG.FORMS.TIP") %></p>
<div class="">
    <table class="datatable js-form-datatable">
        <thead>
        <tr>
            <th><%= MessageHelper.getCoreMessage("BO_INTITULE") %></th>
        </tr>
        </thead>
        <tbody>
        <%-- boucle sur chaque ligne --%><%
        boolean first = true;
        for (FormulaireBean currentForm : forms) {
            final Properties proprietes = new Properties();
            proprietes.load(new ByteArrayInputStream(currentForm.getModele().getBytes()));
            final String dataModel = EscapeString.escapeAttributHtml(CodecJSon.encodeObjectToJSonInString(proprietes));
            %><tr>
            <td>
                <span class="masquer"><%= currentForm.getTitre() %></span>
                <input id="radio_<%= currentForm.getId() %>" type="radio" value="<%= currentForm.getCode() %>" name="CODE" <%= currentForm.getCode().equals(viewDescriptor.getData().get("CODE")) || first ? "checked" : StringUtils.EMPTY %> data-model="<%= dataModel %>" data-nbfields="<%= proprietes.get("LISTE_NB_CHAMPS") %>">
                <label for="radio_<%= currentForm.getId() %>"><%= currentForm.getTitre() %></label>
            </td>
        </tr><%
                first = false;
            } %>
        </tbody>
    </table>
    <p><%
        final String style = viewDescriptor.getData().get("STYLE");
    %><label for="STYLE" class="colonne">Style *</label>
        <select id="STYLE" name="STYLE">
            <option value="0000" <%= StringUtils.isBlank(style) ? "selected" : StringUtils.EMPTY %>><%= FormulaireUtil.getMessage("FORMULAIRE.DETAIL_INSERTION.SELECTION_LISTE") %></option>
            <option title="Une colonne" value="DISPOSITION1" <%= "DISPOSITION1".equals(style) ? "selected" : StringUtils.EMPTY %>><%= FormulaireUtil.getMessage("FORMULAIRE.DETAIL_INSERTION.DISPOSITION1") %></option>
            <option title="Deux colonnes" value="DISPOSITION2" <%= "DISPOSITION2".equals(style) ? "selected" : StringUtils.EMPTY %>><%= FormulaireUtil.getMessage("FORMULAIRE.DETAIL_INSERTION.DISPOSITION2") %></option>
            <option title="Element par élément" value="E" <%= "E".equals(style) ? "selected" : StringUtils.EMPTY %>><%= FormulaireUtil.getMessage("FORMULAIRE.DETAIL_INSERTION.ELEMENT") %></option>
        </select>
    </p>
    <div class="masquer forms__elements js-forms__elements">
        <p class="message alert alert-info"><%= FormulaireUtil.getMessage("KTAG.FORMS.TIP_E") %></p>
        <ul class="js-forms__list">
            <li>
                <input type="checkbox" id="forms_check-all" value="all"><!--
                --><label for="forms_check-all">Tout cocher/décocher</label>
            </li>
        </ul>
    </div>
</div>